Bug 161379 - security/openssl compile error caused by abbreviated-renegotiation.patch
security/openssl compile error caused by abbreviated-renegotiation.patch
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-07 18:20 UTC by sawp
Modified: 2011-11-22 18:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sawp 2011-10-07 18:20:01 UTC
Checksum mismatch for openssl-1.0.0e/abbreviated-renegotiation.patch

The files from http://sctp.fh-muenster.de/dtls/abbreviated-renegotiation.patch are on /usr/ports/distfiles/openssl-1.0.0e (downloaded manually), but the port doesnt compile.



freebsd# make
===>  Vulnerability check disabled, database not found
===>  License check disabled, port has not defined LICENSE
===>  Found saved configuration for openssl-1.0.0_5
===>  Extracting for openssl-1.0.0_6
=> SHA256 Checksum OK for openssl-1.0.0e/openssl-1.0.0e.tar.gz.
=> SHA256 Checksum mismatch for openssl-1.0.0e/abbreviated-renegotiation.patch.
=> SHA256 Checksum OK for openssl-1.0.0e/dtls-heartbeats.patch.
===>  Refetch for 1 more times files: openssl-1.0.0e/abbreviated-renegotiation.patch 
===>  Vulnerability check disabled, database not found
===>  License check disabled, port has not defined LICENSE
===>  Found saved configuration for openssl-1.0.0_5
=> abbreviated-renegotiation.patch doesn't seem to exist in /usr/ports/distfiles/openssl-1.0.0e.
=> Attempting to fetch http://sctp.fh-muenster.de/dtls/abbreviated-renegotiation.patch
fetch: http://sctp.fh-muenster.de/dtls/abbreviated-renegotiation.patch: Requested Range Not Satisfiable
=> Attempting to fetch ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/openssl-1.0.0e/abbreviated-renegotiation.patch
fetch: ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/openssl-1.0.0e/abbreviated-renegotiation.patch: File unavailable (e.g., file not found, no access)
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/openssl-1.0.0e and try again.
*** Error code 1

Stop in /usr/ports/security/openssl.
*** Error code 1

Stop in /usr/ports/security/openssl.
*** Error code 1

Stop in /usr/ports/security/openssl.

How-To-Repeat: cd /usr/ports/security/openssl
make
Comment 1 Mark Linimon freebsd_committer 2011-10-07 18:28:54 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Mark Linimon freebsd_committer 2011-11-20 23:31:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer.
Comment 3 dfilter freebsd_committer 2011-11-22 06:50:15 UTC
dinoex      2011-11-22 06:50:04 UTC

  FreeBSD ports repository

  Modified files:
    security/openssl     Makefile distinfo 
  Log:
  - make portlint happier
  
  - update patches
  PR:             161379
  
  Feature safe:   yes
  
  Revision  Changes    Path
  1.180     +10 -8     ports/security/openssl/Makefile
  1.67      +14 -8     ports/security/openssl/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dirk Meyer freebsd_committer 2011-11-22 18:17:43 UTC
State Changed
From-To: open->closed

an update was committed, thanks.